package com.bankaudit.dao;

import org.hibernate.Session;
import org.springframework.stereotype.Repository;

@Repository("excelUploadDataStatusDao")
public class ExcelUploadDataStatusDaoImpl extends AbstractDao implements ExcelUploadDataStatusDao {

    @Override
    public void updatePreviousExcelUploadObject() {
        Session session=getSession();
        String updateQuery = "update excel_upload_data_status eu set eu.is_deleted = true";
        session.createNativeQuery(updateQuery).executeUpdate();
        session.flush();
    }
}
